Package needs rebuild/fixing for libclamav2/libclamav3 transition

Bug #178373 reported by Scott Kitterman on 2007-12-24
4
Affects Status Importance Assigned to Milestone
avscan (Ubuntu)
Medium
Unassigned
clamcour (Ubuntu)
Medium
Unassigned
claws-mail (Ubuntu)
Medium
Unassigned
dansguardian (Ubuntu)
Medium
Unassigned
gurlchecker (Ubuntu)
Medium
Unassigned
havp (Ubuntu)
Medium
Unassigned
klamav (Ubuntu)
Medium
Unassigned
php-clamavlib (Ubuntu)
Medium
Unassigned
python-clamav (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: klamav

Clamav 0.92 with a new soname has been uploaded to Hardy. Some API changes will require source changes too.

Scott Kitterman (kitterman) wrote :

- if ((tmpname = cli_gentempdesc(NULL, &tmpd)) == NULL) {
+ if (cli_gentempfd(NULL, &tmpname, &tmpd) != CL_SUCCESS) {

Changed in python-clamav:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Changed in php-clamavlib:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Changed in klamav:
importance: Undecided → Medium
status: New → Fix Released
Changed in havp:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Changed in gurlchecker:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Changed in dansguardian:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Changed in claws-mail:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Scott Kitterman (kitterman) wrote :

^^^ Was the change needed to get Klamav to build against the new lib.

Changed in clamcour:
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → Confirmed
Changed in avscan:
assignee: nobody → kitterman
importance: Undecided → Medium
milestone: none → hardy-alpha-6
status: New → In Progress
Changed in clamcour:
assignee: nobody → kitterman
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avscan - 3.2.2-openssl-1build1

---------------
avscan (3.2.2-openssl-1build1) hardy; urgency=low

  * Rebuild for libclamav3 transition (LP: #178373)

 -- Scott Kitterman <email address hidden> Sun, 23 Dec 2007 18:57:56 -0500

Changed in avscan:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package clamcour - 0.2.2-1.2build1

---------------
clamcour (0.2.2-1.2build1) hardy; urgency=low

  * No change rebuild for libclamav3 transition (LP: #178373)

 -- Scott Kitterman <email address hidden> Sun, 23 Dec 2007 19:19:47 -0500

Changed in clamcour:
status: In Progress → Fix Released
Changed in avscan:
assignee: kitterman → nobody
status: Fix Released → In Progress
status: In Progress → Fix Released
Changed in clamcour:
assignee: kitterman → nobody
Changed in claws-mail:
assignee: nobody → kitterman
status: Confirmed → In Progress
Changed in dansguardian:
assignee: nobody → kitterman
status: Confirmed → In Progress
Changed in claws-mail:
assignee: kitterman → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package claws-mail - 3.1.0-2build1

---------------
claws-mail (3.1.0-2build1) hardy; urgency=low

  * No change rebuild for libclamav transition (LP: #178373)

 -- Scott Kitterman <email address hidden> Sun, 23 Dec 2007 19:40:33 -0500

Changed in claws-mail:
status: In Progress → Fix Released
Changed in dansguardian:
assignee: kitterman → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dansguardian - 2.8.0.6-antivirus-6.4.4.1-4build1

---------------
dansguardian (2.8.0.6-antivirus-6.4.4.1-4build1) hardy; urgency=low

  * No change rebuild for libclamav transition (LP: #178373)

 -- Scott Kitterman <email address hidden> Sun, 23 Dec 2007 20:01:47 -0500

Changed in dansguardian:
status: In Progress → Fix Released
Leonel Nunez (leonelnunez) wrote :

python-clamav only needed rebuild
package builds installs and works fine

Leonel Nunez (leonelnunez) wrote :

debdiff for python-clamav

Changed in gurlchecker:
assignee: nobody → kitterman
status: Confirmed → In Progress
Changed in havp:
assignee: nobody → kitterman
status: Confirmed → In Progress
Changed in php-clamavlib:
assignee: nobody → kitterman
status: Confirmed → In Progress
Leonel Nunez (leonelnunez) wrote :

php5-clamavlib builds fine when I do :

apt-get source php5-clamavlib
dpkg-buildpackage

but when I add an entry to debian/changelog
and do a debuild

it compiles and installs but the clamav.so can't be loaded
needs more work

Changed in havp:
assignee: kitterman → nobody
Changed in gurlchecker:
assignee: kitterman → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package havp - 0.86-1build1

---------------
havp (0.86-1build1) hardy; urgency=low

  * No change rebuild for libclamav transition (LP: #178373)

 -- Scott Kitterman <email address hidden> Mon, 24 Dec 2007 15:19:44 -0500

Changed in havp:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gurlchecker - 0.10.1-1build1

---------------
gurlchecker (0.10.1-1build1) hardy; urgency=low

  * No change rebuild for libclamav transition (LP: #178373)

 -- Scott Kitterman <email address hidden> Mon, 24 Dec 2007 15:16:51 -0500

Changed in gurlchecker:
status: In Progress → Fix Released
Scott Kitterman (kitterman) wrote :

Are you building on in a Gutsy environment or Hardy?

Changed in python-clamav:
assignee: nobody → kitterman
status: Confirmed → In Progress
Changed in python-clamav:
assignee: kitterman → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-clamav - 0.4.0-1build1

---------------
python-clamav (0.4.0-1build1) hardy; urgency=low

  * No change rebuild for libclamav transition (LP: #178373)

 -- Leonel Nunez <email address hidden> Mon, 24 Dec 2007 11:31:31 -0700

Changed in python-clamav:
status: In Progress → Fix Released
Leonel Nunez (leonelnunez) wrote :

I'm building in a pbuider in hardy

Daniel Hahler (blueyed) wrote :

I had no problems building and using the package (after changing the changelog).
I guess that you were being hit by the bashism in the postinst and the resulting error in the php.ini file.
There is a Debian bug already about not modifying php.ini directly, but shipping a separate file instead, but that's another issue (#452777).

Changed in php-clamavlib:
assignee: kitterman → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package php-clamavlib - 0.13-1ubuntu1

---------------
php-clamavlib (0.13-1ubuntu1) hardy; urgency=low

  * libclamav transition (LP: #178373)
  * debian/php5-clamavlib.postinst: fix bashism (echo -e => printf)
  * clamav.php: do not use short open tag
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- dAniel hAhler <email address hidden> Thu, 27 Dec 2007 05:11:40 +0100

Changed in php-clamavlib:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers